Bug 1258443 - (CVE-2015-6749) CVE-2015-6749 vorbis-tools: invalid AIFF file causes alloca() buffer overflow
CVE-2015-6749 vorbis-tools: invalid AIFF file causes alloca() buffer overflow
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20150830,reported=2...
: Security
: 1258424 (view as bug list)
Depends On: 1258427 1258444
Blocks: 1258426
  Show dependency treegraph
 
Reported: 2015-08-31 07:56 EDT by Martin Prpič
Modified: 2016-11-08 10:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-31 07:58:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2015-08-31 07:56:36 EDT
A buffer overflow flaw was found in the way the oggenc utility, which is used to encode audio into the Ogg Vorbis format, handled invalid AIFF files. An attacker could provide a specially crafted AIFF file that would crash oggenc when processed.

Upstream bug with a patch:

https://trac.xiph.org/ticket/2212
Comment 1 Martin Prpič 2015-08-31 07:57:38 EDT
Additional info in:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=797461
Comment 2 Martin Prpič 2015-08-31 07:57:56 EDT
Created vorbis-tools tracking bugs for this issue:

Affects: fedora-all [bug 1258444]
Comment 4 Martin Prpič 2015-08-31 08:03:48 EDT
CVE assignment:

http://seclists.org/oss-sec/2015/q3/457
Comment 5 Kamil Dudka 2015-08-31 08:35:08 EDT
Is this a duplicate of bug #1258424?
Comment 6 Martin Prpič 2015-08-31 11:05:59 EDT
(In reply to Kamil Dudka from comment #5)
> Is this a duplicate of bug #1258424?

Yes, it is. Sorry about that. I'll close the other one since this one contains more info.
Comment 7 Martin Prpič 2015-08-31 11:06:20 EDT
*** Bug 1258424 has been marked as a duplicate of this bug. ***
Comment 8 Fedora Update System 2015-09-04 15:46:14 EDT
vorbis-tools-1.4.0-22.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-09-16 17:21:05 EDT
vorbis-tools-1.4.0-20.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.